<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/index.jsp,v 1.4 2002/12/03 18:33:29 minhnn Exp $
 * $Revision: 1.4 $
 * $Date: 2002/12/03 18:33:29 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.MVNForumInfo" %>
<%@ page import="net.myvietnam.mvncore.MVNCoreInfo" %>
<%@ page import="net.myvietnam.mvncore.info.DatabaseInfo" %>
<%@ page import="net.myvietnam.mvncore.info.SystemInfo" %>
<%@ page import="net.myvietnam.mvncore.info.ServletInfo" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - Administration Zone</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    Admin CP
    </td>
</tr>
</table>
<p>
<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    Thank you for choosing mvnForum as your forum solution.
    This screen will give you a quick overview of all the various statistics of your board.
    You can get back to this page by clicking on the Admin Index link in the top menu.
    To return to the index of your board, click the mvnForum logo in the top of this page.
    The other links on the top menu will allow you to control every aspect of your forum experience,
    each screen will have instructions on how to use the tools.<br>
    Choose below tasks to continue:<br>
    <a href="testsystem" class="messageTextBoldBlue">Test System Configuration</a><br>
    <a href="forummanagement" class="messageTextBoldBlue">Forum Management</a><br>
    <a href="usermanagement" class="messageTextBoldBlue">User Management</a><br>
    <a href="groupmanagement" class="messageTextBoldBlue">Group Management</a><br>
    <a href="sendmail" class="messageTextBoldBlue">Send Mail</a><br>
    </td>
</tr>
</table>

<p>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">mvnForum Infomation:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Product Name</td>
    <td class="messageText"><%=MVNForumInfo.PRODUCT_NAME%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Description</td>
    <td class="messageText"><%=MVNForumInfo.PRODUCT_DESC%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Version</td>
    <td class="messageText"><%=MVNForumInfo.PRODUCT_VERSION%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Release Date</td>
    <td class="messageText"><%=MVNForumInfo.PRODUCT_RELEASE_DATE%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Home page</td>
    <td class="messageText"><a href="<%=MVNForumInfo.PRODUCT_HOMEPAGE%>"><%=MVNForumInfo.PRODUCT_HOMEPAGE%></a></td>
  </tr>
</table>

<p>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">MyVietnam Framework Infomation:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Product Name</td>
    <td class="messageText"><%=MVNCoreInfo.getProductName()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Description</td>
    <td class="messageText"><%=MVNCoreInfo.getProductDesc()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Version</td>
    <td class="messageText"><%=MVNCoreInfo.getProductVersion()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Release Date</td>
    <td class="messageText"><%=MVNCoreInfo.getProductReleaseDate()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Home page</td>
    <td class="messageText"><a href="<%=MVNCoreInfo.getProductHomepage()%>"><%=MVNCoreInfo.getProductHomepage()%></a></td>
  </tr>
</table>

<p>
<%
    ServletInfo servletInfo = new ServletInfo(application);
%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">Application Server Infomation:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Application Server</td>
    <td class="messageText"><%=servletInfo.getServerInfo()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Servlet Version</td>
    <td class="messageText"><%=servletInfo.getServletVersion()%></td>
  </tr>
</table>

<p>
<%
    DatabaseInfo databaseInfo = new DatabaseInfo();
%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">Database Information:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Database Name</td>
    <td class="messageText"><%=databaseInfo.getDatabaseProductName()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Database Version</td>
    <td class="messageText"><%=databaseInfo.getDatabaseProductVersion()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Database Url</td>
    <td class="messageText"><%=databaseInfo.getDatabaseUrl()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Database Username</td>
    <td class="messageText"><%=databaseInfo.getDatabaseUsername()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">JDBC Driver Name</td>
    <td class="messageText"><%=databaseInfo.getDriverName()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">JDBC Driver Version</td>
    <td class="messageText"><%=databaseInfo.getDriverVersion()%></td>
  </tr>
</table>

<p>
<%
    SystemInfo systemInfo = new SystemInfo();
%>
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor="#666699" class="header">
    <td colspan="2">System Information:</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td width="30%" class="messageText">Virtual Machine Name</td>
    <td class="messageText"><%=systemInfo.getVmName()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Virtual Machine Vendor</td>
    <td class="messageText"><%=systemInfo.getVmVendor()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Virtual Machine Version</td>
    <td class="messageText"><%=systemInfo.getVmVersion()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Virtual Machine Runtime Name</td>
    <td class="messageText"><%=systemInfo.getRuntimeName()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Virtual Machine Runtime Version</td>
    <td class="messageText"><%=systemInfo.getRuntimeVersion()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">OS Name</td>
    <td class="messageText"><%=systemInfo.getOsName()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">OS Version</td>
    <td class="messageText"><%=systemInfo.getOsVersion()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">CPU</td>
    <td class="messageText"><%=systemInfo.getCpu()%></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Total Memory</td>
    <td class="messageText"><%=systemInfo.getTotalMemoryKB()%> KB</td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td class="messageText">Free Memory</td>
    <td class="messageText"><%=systemInfo.getFreeMemoryKB()%> KB</td>
  </tr>
</table>

<p>
&nbsp;

<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>

