<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/user/listonlineusers.jsp,v 1.5 2002/12/07 09:08:53 minhnn Exp $
 * $Revision: 1.5 $
 * $Date: 2002/12/07 09:08:53 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.sql.Timestamp" %>
<%@ page import="net.myvietnam.mvncore.util.DateUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.auth.OnlineUserAction" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - List online users</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>
<p>

<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    Online Users
    </td>
</tr>
</table>
<p>
<%
Collection onlineUserActions = (Collection) request.getAttribute("OnlineUserActions");
Iterator countIterator = onlineUserActions.iterator();
int guestCount = 0;
int memberCount = 0;
int anonymousCount = 0;
while (countIterator.hasNext()) {
    OnlineUserAction onlineUserAction = (OnlineUserAction)countIterator.next();
    int mID = onlineUserAction.getMemberID();
    if (mID == 0) {
    	guestCount++;
    } else {
		memberCount++;
	}
}
%>
<table width="95%" align="center">
<tr>
    <td class="hightlight">There are <font color="#008080"><%=onlineUserActions.size()%></font> online users 
	(<font color="#008080"><%=guestCount%></font> Guests, <font color="#008080"><%=memberCount%></font> Members)
	</td>
</tr>
</table>

<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>User</td>
    <td>What they are doing</td>
    <td align="center">Duration since last activity</td>
    <td align="center">Total online time</td>
</tr>
<%
int odd = 0;
Timestamp now = DateUtil.getCurrentGMTTimestamp();
Iterator iterator = onlineUserActions.iterator();
while (iterator.hasNext()) {
    odd = (odd+1)%2;
    OnlineUserAction onlineUserAction = (OnlineUserAction)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td class="messageTextBold">
    <%
    int mID = onlineUserAction.getMemberID();
    String mName = onlineUserAction.getMemberName();
    if (mID == 0) {
    out.print("Guest");
    } else {
    %>
    <a class="messageTextBoldBlue" href="viewmember?memberid=<%=mID%>"><%=mName%></a>
    <% } %>
    </td>

    <td class="messageText">
    <%
    String desc = onlineUserAction.getDesc();
    String url = onlineUserAction.getUrl();
    if (url == null) {
    out.print(desc);
    } else {
    %>
    <a href="<%=url%>"><%=desc%></a>
    <% } %>
    </td>
    <td align="center" class="messageText"><%=onlineUserAction.getDurationSinceLastRequestDesc(now)%></td>
    <td align="center" class="messageText"><%=onlineUserAction.getOnlineDurarionDesc(now)%></td>
</tr>

<%
}//while
%>
</table>

<p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%></p>
</body>
</html>
