<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/user/listrecentthreads.jsp,v 1.6 2002/12/14 19:01:30 minhnn Exp $
 * $Revision: 1.6 $
 * $Date: 2002/12/14 19:01:30 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvncore.util.StringUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.MyUtil" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - List recent threads</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>
<script language="JavaScript">
function gotoPage(s) {
    if (s != '') top.location.href = s;
    return 1;
}
</script>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>
<p>

<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    List recent threads
    </td>
</tr>
</table>
<p>

<%
CategoryCache categoryCache = CategoryCache.getInstance();
ForumCache forumCache = ForumCache.getInstance();
Collection forumBeans = forumCache.getBeans();
Iterator forumIterator = forumBeans.iterator();
int lastCategoryID = -1;
%>
<table width="95%" align="center">
<tr class="messageText"><td>
<form>
Quick go &raquo; <select name="FastGoForum" onChange="gotoPage(this.options[this.selectedIndex].value)">
<%
while(forumIterator.hasNext()) {
    ForumBean row = (ForumBean)forumIterator.next();
    if (row.getCategoryID() != lastCategoryID) {// to print the category
        lastCategoryID = row.getCategoryID();
        CategoryBean categoryBean = categoryCache.getBean(lastCategoryID);
%>
    <option value=""></option>
    <option value="listforums"><%=categoryBean.getCategoryName()%></option>
    <option value="">---------------------------------</option>
<%
    }//if
%>
    <option value="listthreads?forum=<%=row.getForumID()%>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=row.getForumName()%></option>
<%
}//while
%>
</select>
</form>
</td></tr>
<tr>
    <td></td>
</tr>
</table>

<%
String sort  = ParamUtil.getParameter(request, "sort");
String order = ParamUtil.getParameter(request, "order");
if (sort.length() == 0) sort = "ThreadLastPostDate";
if (order.length() == 0) order = "DESC";
%>
<table width="95%" align="center">
<tr>
  <td nowrap class="messageText">
  <form action="listrecentthreads">
    Sort by
    <select name="sort">
    <option value="ThreadLastPostDate" <%if (sort.equals("ThreadLastPostDate")) {%>SELECTED<%}%>>Last Post Date</option>
    <option value="ThreadCreationDate" <%if (sort.equals("ThreadCreationDate")) {%>SELECTED<%}%>>First Post Date</option>
    <option value="MemberName" <%if (sort.equals("MemberName")) {%>SELECTED<%}%>>Starter Name</option>
    <option value="ThreadReplyCount" <%if (sort.equals("ThreadReplyCount")) {%>SELECTED<%}%>>Reply Count</option>
    <option value="ThreadViewCount" <%if (sort.equals("ThreadViewCount")) {%>SELECTED<%}%>>View Count</option>
    </select>
    Order
    <select name="order">
    <option value="ASC" <%if (order.equals("ASC")) {%>SELECTED<%}%>>Ascending</option>
    <option value="DESC" <%if (order.equals("DESC")) {%>SELECTED<%}%>>Descending</option>
    </select>

    <input type="submit" value="Go">
  </form>
  </td>
</tr>
</table>

<table width="95%" align="center">
<tr>
    <td class="hightlight">Recent threads in all forums:</td>
</tr>
</table>

<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td>Thread</td>
    <td>Forum</td>
    <td align="center">Author</td>
    <td align="center">Replies</td>
    <td align="center">Views</td>
    <td align="center">Last Post</td>
</tr>
<%
Collection threadBeans = (Collection) request.getAttribute("ThreadBeans");

int i = 0;
int odd = 0;
java.util.Iterator iterator = threadBeans.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    ThreadBean threadBean = (ThreadBean)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td>
        <a class="messageTextBoldBlue" href="viewthread?thread=<%=threadBean.getThreadID()%>">
		<%=MyUtil.filter(threadBean.getThreadTopic(), false/*html*/, true/*emotion*/, false/*mvnCode*/, false/*newLine*/)%>
		</a><br>
        <div class="messageText">
		<%=MyUtil.filter(StringUtil.getShorterString(threadBean.getThreadBody()), false/*html*/, true/*emotion*/, false/*mvnCode*/, false/*newLine*/)%>
		</div>
    </td>
    <td><a class="messageTopic" href="listthreads?forum=<%=threadBean.getForumID()%>"><%=forumCache.getBean(threadBean.getForumID()).getForumName()%></a></td>
    <td align="center" class="messageText">
        <a href="viewmember?member=<%=threadBean.getMemberName()%>" class="messageTextBoldBlue">
        <%=threadBean.getMemberName()%>
        </a>
    </td>
    <td align="center" class="messageTextBold"><%=threadBean.getThreadReplyCount()%></td>
    <td align="center" class="messageTextBold"><%=threadBean.getThreadViewCount()%></td>
    <td align="center" class="messageText">
        <%=onlineUser.getGMTTimestampFormat(threadBean.getThreadLastPostDate())%><br>by
        <a href="viewmember?member=<%=threadBean.getLastPostMemberName()%>" class="messageTextBoldBlue">
        <%=threadBean.getLastPostMemberName()%>
        </a>
    </td>
</tr>
<%
    i++;
}//while
if (threadBeans.size() == 0) {
%>
    <td colspan="6" align="center" bgcolor="#EEEEFF" class="messageText">There is not any recent threads.</td>
<%
}
%>
</table>

<table width="95%" border="0" cellspacing="0" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="Silver">
    <td class="messageTextBold">
<%
int totalThreads = ((Integer)request.getAttribute("TotalThreads")).intValue();
int startOffset = ((Integer)request.getAttribute("StartOffset")).intValue();
int lastOffset = ((Integer)request.getAttribute("LastOffset")).intValue();
int previousOffset = ((Integer)request.getAttribute("PreviousOffset")).intValue();
int nextOffset = ((Integer)request.getAttribute("NextOffset")).intValue();

if (previousOffset >= 0) {
%>
    <a href="listrecentthreads?sort=<%=sort%>&order=<%=order%>&offset=<%=previousOffset%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/left.gif" border="0" alt="Previous Page"></a>
<%
} else {
%>
    &nbsp;&nbsp;&nbsp;&nbsp;
<%}%>
    &nbsp;&nbsp;<font class="hightlight">Thread&nbsp;<%=startOffset%>&nbsp;-&nbsp;<%=lastOffset%>&nbsp;of&nbsp;<%=totalThreads%></font>&nbsp;&nbsp;
<%
if (nextOffset >= 0) {
%>
    <a href="listrecentthreads?sort=<%=sort%>&order=<%=order%>&offset=<%=nextOffset%>"><img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/right.gif" border="0" alt="Next Page"></a>
<%
} else {
%>
    &nbsp;&nbsp;&nbsp;&nbsp;
<%}%>
    </td>
</tr>
</table>

<p>
&nbsp;

<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%></p>

</body>
</html>
