/*
 * $Header: /cvsroot/mvnforum/myvietnam/src/net/myvietnam/mvncore/filter/HtmlNewLineFilter.java,v 1.2 2002/11/27 17:12:19 minhnn Exp $
 * $Revision: 1.2 $
 * $Date: 2002/11/27 17:12:19 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding MyVietnam and MyVietnam CoreLib
 * MUST remain intact in the scripts and source code.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
package net.myvietnam.mvncore.filter;

import java.io.StringReader;
import java.io.BufferedReader;
import java.io.IOException;

public final class HtmlNewLineFilter {

    private HtmlNewLineFilter() { //prevent instantiation
    }

    public static String filter(String input) {
        if (input == null) {
            return null;
        }
        StringReader stringReader = new StringReader(input);
        BufferedReader reader = new BufferedReader(stringReader);

        StringBuffer ret = new StringBuffer(input.length() + 100);// add more room to the result String

        String line = null;
        try {
            while ((line = reader.readLine()) != null) {
                //System.out.println("name = " + memberName + " length = " + memberName.length());
                ret.append(line).append("<p>");
            }//while
        } catch (IOException ex) {}
        return ret.toString();
    }
}
