/*
 * $Header: /cvsroot/mvnforum/myvietnam/src/net/myvietnam/mvncore/gui/MessageBox.java,v 1.2 2002/11/27 17:12:19 minhnn Exp $
 * $Revision: 1.2 $
 * $Date: 2002/11/27 17:12:19 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding MyVietnam and MyVietnam CoreLib
 * MUST remain intact in the scripts and source code.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
package net.myvietnam.mvncore.gui;

import java.awt.Component;
import javax.swing.JOptionPane;

public final class MessageBox {

    private MessageBox() {
    }

    public static void showErrorBox(Component parentComponent, Object message) {
        JOptionPane.showMessageDialog(parentComponent, message, "Error", JOptionPane.ERROR_MESSAGE);
    }

    public static void showInfoBox(Component parentComponent, Object message) {
        JOptionPane.showMessageDialog(parentComponent, message, "Information", JOptionPane.INFORMATION_MESSAGE);
    }

    public static void showWarningBox(Component parentComponent, Object message) {
        JOptionPane.showMessageDialog(parentComponent, message, "Warning", JOptionPane.WARNING_MESSAGE);
    }

    public static void showQuestionBox(Component parentComponent, Object message) {
        JOptionPane.showMessageDialog(parentComponent, message, "Question", JOptionPane.QUESTION_MESSAGE);
    }
}