/*
 * $Header: /cvsroot/mvnforum/mvnforum/src/net/myvietnam/mvnplugin/mvnforum/user/MemberWebHelper.java,v 1.3 2002/12/14 19:01:26 minhnn Exp $
 * $Revision: 1.3 $
 * $Date: 2002/12/14 19:01:26 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
package net.myvietnam.mvnplugin.mvnforum.user;

import java.sql.*;
import java.util.Collection;
import java.util.ArrayList;
import net.myvietnam.mvncore.db.DBUtils;// for customized methods
import net.myvietnam.mvncore.exception.*;
import net.myvietnam.mvnplugin.mvnforum.db.MemberBean;// @todo: uncomment as needed

class MemberWebHelper extends net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper {
    // prevent instantiation and inheritance
    private MemberWebHelper() {
    }

    public static void createMember(String memberName, String memberPassword, String memberFirstEmail,
                        String memberEmail, int memberEmailVisible, int memberNameVisible,
                        String memberFirstIP, String memberLastIP, int memberViewCount,
                        int memberPostCount, Timestamp memberCreationDate, Timestamp memberModifiedDate,
                        Timestamp memberLastLogon, int memberOption, int memberStatus,
                        String memberActivateCode, String memberTempPassword, int memberMessageCount,
                        int memberMessageOption, int memberPostsPerPage, int memberWarnCount,
                        int memberVoteCount, int memberVoteTotalStars, int memberRewardPoints,
                        String memberTitle, int memberTimeZone, String memberSignature,
                        String memberAvatar, String memberSkin, String memberLanguage,
                        String memberFirstname, String memberLastname, int memberGender,
                        Date memberBirthday, String memberAddress, String memberCity,
                        String memberState, String memberCountry, String memberPhone,
                        String memberMobile, String memberFax, String memberCareer,
                        String memberHomepage, String memberYahoo, String memberAol,
                        String memberIcq, String memberMsn, String memberCoolLink1,
                        String memberCoolLink2)
                        throws CreateException, DatabaseException, DuplicateKeyException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.create(memberName, memberPassword, memberFirstEmail, memberEmail, memberEmailVisible, memberNameVisible, memberFirstIP, memberLastIP, memberViewCount, memberPostCount, memberCreationDate, memberModifiedDate, memberLastLogon, memberOption, memberStatus, memberActivateCode, memberTempPassword, memberMessageCount, memberMessageOption, memberPostsPerPage, memberWarnCount, memberVoteCount, memberVoteTotalStars, memberRewardPoints, memberTitle, memberTimeZone, memberSignature, memberAvatar, memberSkin, memberLanguage, memberFirstname, memberLastname, memberGender, memberBirthday, memberAddress, memberCity, memberState, memberCountry, memberPhone, memberMobile, memberFax, memberCareer, memberHomepage, memberYahoo, memberAol, memberIcq, memberMsn, memberCoolLink1, memberCoolLink2);
    }

    public static void updateMember_forCurrentMember(int memberID, // primary key
                        String memberEmail, int memberEmailVisible, int memberNameVisible,
                        Timestamp memberModifiedDate, int memberMessageOption, String memberFirstname,
                        String memberLastname, int memberTimeZone, String memberAddress,
                        String memberCity, String memberState, String memberCountry,
                        int memberGender, Date memberBirthday, String memberCareer,
                        String memberHomepage, String memberYahoo, String memberAol,
                        String memberIcq, String memberMsn, String memberCoolLink1,
                        String memberCoolLink2, String memberSignature, String memberSkin,
                        String memberLanguage
                        )
                        throws BadInputException, DatabaseException, DuplicateKeyException {
                            /*
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.update_forCurrentMember(memberID, // primary key
                        memberEmail, memberEmailVisible, memberNameVisible,
                        memberModifiedDate, memberMessageOption, memberFirstname,
                        memberLastname, memberTimeZone, memberAddress,
                        memberCity, memberState, memberCountry,
                        memberGender, memberBirthday, memberCareer,
                        memberHomepage, memberYahoo, memberAol,
                        memberIcq, memberMsn, memberCoolLink1,
                        memberCoolLink2, memberSignature, memberSkin,
                        memberLanguage);*/
    }

    public static void updateMember(int memberID, // primary key
                        int memberEmailVisible, int memberNameVisible, Timestamp memberModifiedDate,
                        int memberOption, int memberStatus, int memberMessageOption,
                        int memberPostsPerPage, int memberTimeZone, String memberSkin,
                        String memberLanguage, String memberFirstname, String memberLastname,
                        int memberGender, Date memberBirthday, String memberAddress,
                        String memberCity, String memberState, String memberCountry,
                        String memberPhone, String memberMobile, String memberFax,
                        String memberCareer, String memberHomepage, String memberYahoo,
                        String memberAol, String memberIcq, String memberMsn,
                        String memberCoolLink1, String memberCoolLink2)
                        throws BadInputException, DatabaseException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.update(memberID, // primary key
                        memberEmailVisible, memberNameVisible, memberModifiedDate,
                        memberOption, memberStatus, memberMessageOption,
                        memberPostsPerPage, memberTimeZone, memberSkin,
                        memberLanguage, memberFirstname, memberLastname,
                        memberGender, memberBirthday, memberAddress,
                        memberCity, memberState, memberCountry,
                        memberPhone, memberMobile, memberFax,
                        memberCareer, memberHomepage, memberYahoo,
                        memberAol, memberIcq, memberMsn,
                        memberCoolLink1, memberCoolLink2);
    }

    public static void updateMemberEmail(int memberID, // primary key
                        String memberEmail)
                        throws BadInputException, DatabaseException, DuplicateKeyException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.updateEmail(memberID, // primary key
                        memberEmail);
    }

    public static void updateMemberPassword(int memberID, // primary key
                        String memberPassword)
                        throws BadInputException, DatabaseException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.updatePassword(memberID, // primary key
                        memberPassword);
    }

    public static void updateMemberTempPassword(int memberID, // primary key
                        String memberTempPassword)
                        throws BadInputException, DatabaseException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.updateTempPassword(memberID, // primary key
                        memberTempPassword);
    }

    public static void updateMemberAvatar(int memberID, // primary key
                        String memberAvatar)
                        throws BadInputException, DatabaseException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.updateAvatar(memberID, // primary key
                        memberAvatar);
    }

    public static void updateMemberSignature(int memberID, // primary key
                        String memberSignature)
                        throws BadInputException, DatabaseException {
        net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.updateSignature(memberID, // primary key
                        memberSignature);
    }

    public static String getMemberPassword(int memberID)
        throws BadInputException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getPassword(memberID);
    }

    public static String getMemberTempPassword(int memberID)
        throws BadInputException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getTempPassword(memberID);
    }

    public static MemberBean getMember_forViewCurrentMember(int memberID)
        throws BadInputException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getBean_forViewCurrentMember(memberID);
    }

    public static MemberBean getMember_forEditCurrentMember(int memberID)
        throws BadInputException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getBean_forEditCurrentMember(memberID);
    }

    public static int getNumberOfMembers()
        throws AssertionException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getNumberOfBeans();
    }

    public static Collection getMembers_forPublic()
        throws DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getBeans_forPublic();
    }

    public static MemberBean getMember_forPublic(int memberID)
        throws BadInputException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getBean_forPublic(memberID);
    }

    public static Collection getMembers_withSortSupport_limit(int offset, int rowsToReturn, String sort, String order)
        throws BadInputException, IllegalArgumentException, DatabaseException {
        return net.myvietnam.mvnplugin.mvnforum.db.MemberWebHelper.getBeans_withSortSupport_limit(offset, rowsToReturn, sort, order);
    }

/************************************************
 * Customized methods come below
 ************************************************/


    /**
     * This method should be call only when we can make sure that memberID is in database
     */
    public static void increaseViewCount(int memberID)
        throws DatabaseException, BadInputException {

        Connection connection = null;
        PreparedStatement statement = null;
        String sql = "UPDATE " + TABLE_NAME + " SET MemberViewCount = MemberViewCount + 1 WHERE MemberID = ?";
        try {
            connection = DBUtils.getConnection();
            statement = connection.prepareStatement(sql);
            statement.setInt(1, memberID);
            if (statement.executeUpdate() != 1) {
                throw new BadInputException("Cannot update the MemberViewCount in table Member. Please contact Web site Administrator.");
            }
            //@todo: coi lai cho nay
            // ATTENTION !!!
            setDirty(true);
        } catch (SQLException sqle) {
            sqle.printStackTrace();
            throw new DatabaseException("Error occured when update Member: column name = MemberViewCount.");
        } finally {
            DBUtils.closeStatement(statement);
            DBUtils.closeConnection(connection);
        }
    }

    /**
     * This method should be call only when we can make sure that memberID is in database
     */
    public static void increasePostCount(int memberID)
        throws DatabaseException, BadInputException {

        Connection connection = null;
        PreparedStatement statement = null;
        String sql = "UPDATE " + TABLE_NAME + " SET MemberPostCount = MemberPostCount + 1 WHERE MemberID = ?";
        try {
            connection = DBUtils.getConnection();
            statement = connection.prepareStatement(sql);
            statement.setInt(1, memberID);
            if (statement.executeUpdate() != 1) {
                throw new BadInputException("Cannot update the MemberPostCount in table Member. Please contact Web site Administrator.");
            }
            //@todo: coi lai cho nay
            // ATTENTION !!!
            setDirty(true);
        } catch (SQLException sqle) {
            sqle.printStackTrace();
            throw new DatabaseException("Error occured when update Member: column name = MemberPostCount.");
        } finally {
            DBUtils.closeStatement(statement);
            DBUtils.closeConnection(connection);
        }
    }


}

