<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/addforum.jsp,v 1.5 2002/12/04 18:39:43 minhnn Exp $
 * $Revision: 1.5 $
 * $Date: 2002/12/04 18:39:43 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="java.util.ArrayList" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - Add new forum</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="forummanagement">Forum Management</a>&nbsp;&raquo;&nbsp;
    Add Forum
    </td>
</tr>
</table>
<p>

<form action="addforumprocess" method="post">
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
  <tr bgcolor=#f5f5f5>
    <td valign="top" class="messageTextBold">Category ID:</td>
    <td>
    <select name="CategoryID">
        <option value="">Select a Forum Category</option>
<%
int categoryID = 0;
try {
    categoryID = ParamUtil.getParameterInt(request, "category");
} catch (Exception ex) {}

ArrayList categoryBeans = CategoryCache.getInstance().getBeans();
int maxCat = categoryBeans.size();
for (int catIndex = 0; catIndex < maxCat; catIndex++) {
    CategoryBean categoryBean = (CategoryBean)categoryBeans.get(catIndex);
%>
        <option value="<%=categoryBean.getCategoryID()%>" <%if (categoryBean.getCategoryID() == categoryID) {%>SELECTED<%}%>><%=categoryBean.getCategoryName()%></option>
<%} //for%>
    </select>
    </td>
  </tr>
  <tr bgcolor="White">
    <td valign="top" class="messageTextBold">Forum Name:</td>
    <td><input type="text" name="ForumName" size="60"></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td valign="top" class="messageTextBold">Forum Description:</td>
    <td><textarea cols="60" rows="10" name="ForumDesc"></textarea></td>
  </tr>
  <tr bgcolor="White">
    <td valign="top" class="messageTextBold">Forum Status: (chua lam)</td>
    <td><input type="text" name="ForumStatus" value="0" size="60" readonly></td>
  </tr>
  <tr bgcolor=#f5f5f5>
    <td valign="top" class="messageTextBold">Forum ModerationMode: (chua lam)</td>
    <td><input type="text" name="ForumModerationMode" value="0" size="60" readonly></td>
  </tr>
  <tr>
    <td colspan="2" align="center"><input type="submit" name="Submit" value="Add Forum">
        <input type="reset" value="Reset"></td>
  </tr>
</table>
</form>

<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>
</body>
</html>
