<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/admin/listmembergroup.jsp,v 1.5 2002/12/14 19:01:28 minhnn Exp $
 * $Revision: 1.5 $
 * $Date: 2002/12/14 19:01:28 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="java.util.Collection"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil"%>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - Group Management</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/admin/header.jsp"%>

<%
GroupsBean groupBean = (GroupsBean)request.getAttribute("GroupsBean");
%>
<p>
<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="<%=indexUrl%>">mvnForum</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="index">Admin CP</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="groupmanagement">Group Management</a>&nbsp;&raquo;&nbsp;
    <a class="navLink" href="viewgroup?group=<%=groupBean.getGroupID()%>"><%=groupBean.getGroupName()%></a>&nbsp;&raquo;&nbsp;
    List Members
    </td>
</tr>
</table>

<p>
<table width="95%" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor=#f5f5f5>
    <td class="messageText">
    This is where you can view all members currently belong to this group.
	You can also remove member from this group (remove member from group
	does not mean delete member from the system)
    <br>Choose below tasks to continue:<br>
    <a href="addmembergroup?group=<%=groupBean.getGroupID()%>" class="messageTextBoldBlue">Add Member to this Group</a><br>
    </td>
</tr>
</table>
<p>

<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td align="center">Member Name</td>
    <td align="center">Is Owner</td>
    <td align="center">Privilege</td>
    <td align="center">Remove from Group</td>
</tr>
<%
Collection objMemberGroupBeans = (Collection)request.getAttribute("MemberGroupBeans");

int ownerID = groupBean.getGroupOwnerID();
int i = 0;
int odd = 0;
Iterator iterator = objMemberGroupBeans.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    MemberGroupBean objMemberGroupBean = (MemberGroupBean)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td class="messageText">
        <%=objMemberGroupBean.getMemberName()%>
    </td>
    <td align="center" class="messageTextBold">
        <% if (objMemberGroupBean.getMemberID() == ownerID) {%>
            <font color="#008000">Yes</font>
        <% } %>
    </td>
    <td align="center" class="messageText">
        <%=objMemberGroupBean.getPrivilege()%>
    </td>
    <td align="center" class="messageText">
	<a href="deletemembergroupprocess?memberid=<%=objMemberGroupBean.getMemberID()%>&group=<%=groupBean.getGroupID()%>" class="messageTextBoldBlue">Remove</a>
	</td>
</tr>
<%
    i++;
}//while
if (objMemberGroupBeans.size() == 0) { %>
    <td colspan="4" align="center" bgcolor="#EEEEFF" class="messageText">There is not any members in this group.</td>
<% } //if%>
</table>


<p>&nbsp;
<%@ include file="/mvnplugin/mvnforum/admin/footer.jsp"%>

</body>
</html>
