<%
/*
 * $Header: /cvsroot/mvnforum/mvnforum/srcweb/mvnplugin/mvnforum/user/listmembers.jsp,v 1.5 2002/12/07 09:08:53 minhnn Exp $
 * $Revision: 1.5 $
 * $Date: 2002/12/07 09:08:53 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding mvnForum
 * must remain intact in the scripts and in the outputted HTML
 * The "powered by" text/logo with a link back to
 * http://www.mvnForum.com and http://www.MyVietnam.net in the footer of the pages MUST
 * remain visible when the pages are viewed on the internet or intranet.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Support can be obtained from support forums at:
 * http://www.mvnForum.com/mvnforum/index
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
%>
<%@ page errorPage="/mvnplugin/mvnforum/error.jsp"%>
<%@ page import="net.myvietnam.mvncore.util.ParamUtil" %>
<%@ page import="net.myvietnam.mvnplugin.mvnforum.db.*" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ include file="/mvnplugin/mvnforum/inc_common.jsp"%>
<html>
<head>
    <title>mvnForum - List Members</title>
<%@ include file="/mvnplugin/mvnforum/meta.jsp"%>
</head>
<link href="<%=contextPath%>/mvnplugin/mvnforum/css/style.css" rel=stylesheet type=text/css>
<body leftmargin=0 topmargin=0>

<%@ include file="/mvnplugin/mvnforum/user/header.jsp"%>
<p>

<table width="95%" align="center">
<tr class="nav">
    <td><img src="<%=contextPath%>/mvnplugin/mvnforum/images/nav.gif"></td>
    <td width="100%" nowrap>
    <a class="navLink" href="index">mvnForum</a>&nbsp;&raquo;&nbsp;
    List all Members
    </td>
</tr>
</table>
<p>
<%
String sort  = ParamUtil.getParameter(request, "sort");
String order = ParamUtil.getParameter(request, "order");
if (sort.length() == 0) sort = "MemberCreationDate";
if (order.length() == 0) order = "DESC";
%>
<table width="95%" align="center">
<tr>
    <td nowrap class="messageText">
    <form action="listmembers">
        Sort by
        <select name="sort">
        <option value="MemberID" <%if (sort.equals("MemberID")) {%>SELECTED<%}%>>ID</option>
        <option value="MemberName" <%if (sort.equals("MemberName")) {%>SELECTED<%}%>>Member Name</option>
        <option value="MemberFirstname" <%if (sort.equals("MemberFirstname")) {%>SELECTED<%}%>>First name</option>
        <option value="MemberLastname" <%if (sort.equals("MemberLastname")) {%>SELECTED<%}%>>Last name</option>
        <option value="MemberGender" <%if (sort.equals("MemberGender")) {%>SELECTED<%}%>>Gender</option>
        <option value="MemberBirthday" <%if (sort.equals("MemberBirthday")) {%>SELECTED<%}%>>Birthday</option>
        <option value="MemberCreationDate" <%if (sort.equals("MemberCreationDate")) {%>SELECTED<%}%>>Joined date</option>
        <option value="MemberLastLogon" <%if (sort.equals("MemberLastLogon")) {%>SELECTED<%}%>>Last Logon</option>
        <option value="MemberViewCount" <%if (sort.equals("MemberViewCount")) {%>SELECTED<%}%>>View Count</option>
        <option value="MemberPostCount" <%if (sort.equals("MemberPostCount")) {%>SELECTED<%}%>>Post Count</option>
        </select>
        Order
        <select name="order">
        <option value="ASC" <%if (order.equals("ASC")) {%>SELECTED<%}%>>Ascending</option>
        <option value="DESC" <%if (order.equals("DESC")) {%>SELECTED<%}%>>Descending</option>
        </select>

        <input type="submit" value="Go">
    </form>
    </td>
</tr>
</table>


<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="#666699" class="header">
    <td nowrap>MemberID</td>
    <td nowrap>Name</td>
    <td nowrap>E mail</td>
    <td nowrap align="center">Views</td>
    <td nowrap align="center">Posts</td>
    <td nowrap align="center">Join Date</td>
    <td nowrap align="center">Last Logon</td>
</tr>
<%
java.util.Collection memberRows = (java.util.Collection) request.getAttribute("MemberBeans");

int i = 0;
int odd = 0;
java.util.Iterator iterator = memberRows.iterator();
while(iterator.hasNext()) {
    odd = (odd + 1)%2;
    MemberBean row = (MemberBean)iterator.next();
%>
<%if (odd == 0) {%>
<tr bgColor=#eeeeff>
<%} else {%>
<tr bgcolor="White">
<%}%>
    <td nowrap>
    <%if (row.getMemberGender() == 1) {%>
    <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/male.gif" border="0" alt="Male">
    <%} else {%>
    <img src="<%=contextPath%>/mvnplugin/mvnforum/images/icon/female.gif" border="0" alt="Female">
    <%}%>
    <%if (row.getMemberStatus() == 1) {%>
    <a class="messageTextBoldRed"
    <%} else {%>
    <a class="messageTextBoldBlue"
    <%}%>
    href="viewmember?memberid=<%=row.getMemberID()%>"><%=row.getMemberName()%></a></font></td>
    <td nowrap class="messageText"><%=row.getMemberFirstname()%> <%=row.getMemberLastname()%></td>
    <td nowrap class="messageText">
    <%
	if (row.getMemberEmailVisible() == 1) {
	    if (memberID == 0) {
		    out.print("Hidden to Guest");
		} else { %>
            <a href="mailto:<%=row.getMemberEmail()%>"><%=row.getMemberEmail()%></a>
    <%  }// else 
	} else {
        out.print("Don't want to show email");
    }
	%>
    </td>
    <td nowrap align="center" class="messageText"><%=row.getMemberViewCount()%></td>
    <td nowrap align="center" class="messageText"><%=row.getMemberPostCount()%></td>
    <td nowrap align="center" class="messageText"><%=onlineUser.getGMTTimestampFormat(row.getMemberCreationDate())%></td>
    <td nowrap align="center" class="messageText"><%=onlineUser.getGMTTimestampFormat(row.getMemberLastLogon())%></td>
</tr>
<%
    i++;
}//while
if (memberRows.size() == 0) {
%>
    <td colspan="5" align="center" bgcolor="#EEEEFF" class="messageText">There is not any recent visitors.</td>
<%
}
%>
</table>


<table width="95%" border="0" cellspacing="0" cellpadding="3" align="center" bgcolor="#999999">
<tr bgcolor="Silver">
    <td class="messageTextBold">
<%
int totalMembers = ((Integer)request.getAttribute("TotalMembers")).intValue();
int rowOffset = ((Integer)request.getAttribute("offset")).intValue();
int startOffset = ((Integer)request.getAttribute("StartOffset")).intValue();
int lastOffset = ((Integer)request.getAttribute("LastOffset")).intValue();
int previousOffset = ((Integer)request.getAttribute("PreviousOffset")).intValue();
int nextOffset = ((Integer)request.getAttribute("NextOffset")).intValue();

if (previousOffset >= 0) {
%>
    <a href="listmembers?sort=<%=sort%>&order=<%=order%>&offset=<%=previousOffset%>">Previous</a>
<%
} else {
%>
    Previous
<%}%>
    &nbsp;&nbsp;<font class="hightlight">Visitor&nbsp;<%=startOffset%>&nbsp;-&nbsp;<%=lastOffset%>&nbsp;of&nbsp;<%=totalMembers%></font>&nbsp;&nbsp;
<%
if (nextOffset >= 0) {
%>
    <a href="listmembers?sort=<%=sort%>&order=<%=order%>&offset=<%=nextOffset%>">Next</a>
<%
} else {
%>
    Next
<%}%>
    </td>
</tr>
</table>
<p>
&nbsp;
<p>
<%@ include file="/mvnplugin/mvnforum/user/footer.jsp"%>
</body>
</html>
