/*
 * $Header: /cvsroot/mvnforum/myvietnam/src/net/myvietnam/mvncore/MVNCoreInfo.java,v 1.4 2002/12/14 18:54:16 minhnn Exp $
 * $Revision: 1.4 $
 * $Date: 2002/12/14 18:54:16 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding MyVietnam and MyVietnam CoreLib
 * MUST remain intact in the scripts and source code.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
package net.myvietnam.mvncore;

public class MVNCoreInfo {

    private MVNCoreInfo() {
    }

    public static final String PRODUCT_NAME         = "MyVietnam WebApp Framework - Core Lib";

    public static final String PRODUCT_DESC         = "MyVietnam Web Application Framework - Core Library";

    public static final String PRODUCT_VERSION      = "1.2.0";

    public static final String PRODUCT_RELEASE_DATE = "15 December 2002";

    public static final String PRODUCT_HOMEPAGE     = "http://www.MyVietnam.net";


    public static String getProductName() {
        return PRODUCT_NAME;
    }

    public static String getProductDesc() {
        return PRODUCT_DESC;
    }

    public static String getProductHomepage() {
        return PRODUCT_HOMEPAGE;
    }

    public static String getProductReleaseDate() {
        return PRODUCT_RELEASE_DATE;
    }

    public static String getProductVersion() {
        return PRODUCT_VERSION;
    }
}