/*
 * $Header: /cvsroot/mvnforum/myvietnam/src/net/myvietnam/mvncore/filter/CStyleFilter.java,v 1.2 2002/11/27 17:12:17 minhnn Exp $
 * $Revision: 1.2 $
 * $Date: 2002/11/27 17:12:17 $
 *
 * ====================================================================
 *
 * Copyright (C) 2002 by MyVietnam.net
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding MyVietnam and MyVietnam CoreLib
 * MUST remain intact in the scripts and source code.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Correspondence and Marketing Questions can be sent to:
 * info@MyVietnam.net
 *
 * @author: Minh Nguyen  minhnn@MyVietnam.net
 * @author: Mai  Nguyen  mai.nh@MyVietnam.net
 */
package net.myvietnam.mvncore.filter;

public final class CStyleFilter {

    private CStyleFilter() {
    }

    public static String filter(String input) {
        char[] s = input.toCharArray();
        StringBuffer ret = new StringBuffer();
        int length = s.length;
        for (int i = 0; i < length; i++) {
            if (s[i] == '"') {
                ret.append("\\\"");
            } else if (s[i] == '\\') {
                ret.append("\\\\");
            } else {
                ret.append(s[i]);
            }
        }// for
        return ret.toString();
    }

}